PATHS(3) | Library Functions Manual | PATHS(3)

# NAME

`paths` — default system paths

# SYNOPSIS

`#include <paths.h>`

# DESCRIPTION

The `<paths.h>` header defines some default paths used in NetBSD. All defined constants are prefixed with `_PATH`. The constants include:

- The default user search path set by login(1) and associated utilities such as rshd(8). This is defined by `_PATH_DEFPATH` and includes directories such as /usr/bin and /usr/local/bin.
- Default paths for some utilities and device nodes. Examples include such paths as /dev/null (`_PATH_DEVNULL`), /dev/mem (`_PATH_MEM`), and /etc/nologin (`_PATH_NOLOGIN`), among others.
- Paths for some default directories such as /dev (`_PATH_DEV`) and /tmp (`_PATH_TMP`) as well as paths for some miscellaneous utilities such as csh(1), /bin/csh (`_PATH_CSHELL`).

# SEE ALSO

whereis(1), sysexits(3), types(3), hier(7)

# CAVEATS

The `<paths.h>` header is specific to NetBSD.

April 8, 2011 | NetBSD 11.0